About This File

Outbound Contact 7.6 Outbound Contact Manager Help

Copyright © 1999–2008 Genesys Telecommunications Laboratories, Inc. All rights reserved.
ou_ocm-help_04-2008_v7.6.101.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for call centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library DVD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-118-974-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see Genesys 7 Licensing Guide (for 7.0 and later products).

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


Overview

Online Help provides procedural information and descriptions of the Outbound Contact Manager (OCM) windows and the data in those windows. For information outside the scope of online help, refer to the documentation included on the Genesys Documentation Library CD. You can find additional information about OCM in the Introduction chapter of the Outbound Contact 7.6 Deployment Guide.

Outbound Contact Manager 7.6

Outbound Contact Manager automates outbound dialing by using formats and campaigns to manage customer data and monitor call results. Objects used by OCM (including formats, calling lists, and campaigns) are created and edited in Configuration Manager. After they are created, you use Configuration Manager to associate groups and calling lists with campaigns.

In OCM, you can import calling lists into the current calling list, and export current calling list records to lists and ASCII files. You can also add, modify, and delete calling list records. You can sort calling list records for viewing, and chain them in groups in order to associate multiple records with a single customer.

To update the current DNC table with external data, OCM first reads data from an ASCII file, which is in comma-delimited format. The user can then map this data to the appropriate columns in the DNC database table. OCM can also rollback the entire operation in case of inconsistency. The rollback entails removing the data that the user inserted into the DNC database table. For more information, see the "Deploying Do Not Call Functionality" chapter of the Outbound Contact 7.6 Deployment Guide.

The topics covered in this Help file are:

  • Exploring the Main Window

    • Menus

    • Right Pane Views

    • Left Pane Views

  • Formats

  • Calling Lists

    • Populating Calling Lists

    • Working with List Records

    • Do Not Call Lists

    • Filters

  • Campaigns

    • Campaign Sequence

  • Using OCM


Printing this Help File

Use the Print button on the toolbar to print this Help file.

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic.

    • Print the selected heading and all subtopics.

  3. Select OK.


 File Menu View Menu Tools Menu Help Menu Backwards and Forwards Arrows System Status Bar Right Pane View
Exploring the Main Window

Exploring the Main Window Overview

The main window of Outbound Contact Manager (OCM) shows the relationships between a campaign and its related group(s) and calling list(s).

  • The left pane contains the directory structure for the Campaigns, Groups, and Calling Lists directories. Each directory displays a list of objects available to the user.

  • The right pane displays the data that corresponds to each of these left pane directories: Campaigns, Groups, and Calling Lists.

There are four primary views on the right pane, depending on the directory that you select on the left pane:

    • Campaigns view: available when you select Groups, and contains information about the selected object. When you select Calling List, the weight of the calling list in the campaign is displayed.

    • Groups view: available when you select Campaigns, and contains information about the groups associated with a selected campaign.

    • Calling lists view: available when you select Campaigns, and contains the calling list(s) associated with a selected campaign and it's specified weight. When you select a Calling List, OCM presents the records with information about the customers and filters used to limit the records dialed and/or viewed.

"Exploring the Main Window" covers the following topics:

  • Control OCS Connection Button

  • Left Pane Directories

  • Sorting in Left Pane

  • Sorting in Groups, Campaigns, and Calling Lists Views

  • Menus

  • Backward and Forward Arrows

  • Show/Hide Mandatory Fields Button

  • System Status Bar

  • Right Pane Views


Exploring the Main Window > Menus

Menus Overview

Outbound Contact Manager (OCM) has four menus:

  • File menu

  • View menu

  • Tools menu

  • Help menu


Exploring the Main Window > Menus

File Menu

The File menu can be opened from the menu bar on the main window, and contains the following commands:

Open session

Select this command to connect to a different tenant and OCS. It is available when a session is not opened.

Close session

Select this command to disconnect from a current tenant and OCS. It is available when a session is opened.

Import...

Select this command to import a calling list (available when Calling List Details View is open). The Import function allows OCM to read Outbound records from ASCII files and to import these records into a calling list table. User-defined fields in the calling lists must match. See Importing Calling Lists to learn about all of the possible import options.

The Import function also provides these options:

  • Insert new records while records are being imported into a table (Append new).

  • Find existing records with the same primary key values as the records being imported, and update the existing records with new data. The record_id and chaining remain the same as in the destination calling list (Append and update).

Export...

Select this command to export a calling list (available when a calling list is selected).

Import 'Do Not Call' file...

Select this command to import a Do Not Call list. Selecting this command takes you to Step 1 of 3 in the Import Wizard. For more information, see Importing Do Not Call List Files.

Exit

Select this command to exit Outbound Contact Manager and close the program window.


Exploring the Main Window > Menus

View Menu

The View menu can be opened from the menu bar on the main window, and contains the following commands:

Menu Option | When Available | What Displays
Campaigns | When a group or calling list is selected | When a group is selected, displays dialing mode options for campaigns in the Campaigns view. When a calling list is selected, displays weights for that calling list in the campaign with which the calling list is associated.
Groups | When a campaign is selected | Displays a list of available groups in the campaign and their dialing mode options in the Groups view.
Calling Lists | When a campaign is selected | Displays weights for calling lists associated with the campaign Calling Lists view.
Calling list details | When a calling list is selected | Displays the Calling List details view.


Exploring the Main Window > Menus

Tools Menu

The Tools menu can be opened from the menu bar on the main window, and contains the following commands:

Campaign
Load | Loads a campaign; available when the selected campaign is not loaded.
Unload | Unloads a campaign; available when the selected campaign has been loaded.
Start | Starts a campaign; available when the selected campaign has been loaded and the Status field becomes Active.
Stop | Stops a campaign; available when the selected campaign Status field is Running.
Force Unload | Forcibly unloads a campaign when the force_unload_timeout option value expires.
Calling List
Insert record... | Inserts a record into the current calling list.
Update record... | Updates a current (selected) record in the current calling list.
Delete record... | Deletes a current (selected) record from the current calling list.
Record chaining... | Chains (links) records for the same contact.
Modify all... | Modifies all records in a list that meet the conditions set by dialing and viewing filters.
Delete all | Deletes all records in a list that meet the conditions set by dialing and viewing filters.
Show Campaign name | Works as a checkbox. If selected, the view presents the campaign name. If not selected, the campaign ID displays instead (this is the default).
Restrict DB changes for active campaigns
 | Restricts access to a calling list that is associated with an active campaign. This command is ON by default.


Exploring the Main Window > Menus

Help Menu

The Help menu can be opened from the menu bar on the main window, and contains the following commands:

Contents... | Displays the Outbound Contact Manager Help file.
About Genesys Outbound Contact Manager... | Displays version information about Outbound Contact Manager and copyright information.


Exploring the Main Window

Backward and Forward Arrows

The backward and forward arrows are the first two buttons on the toolbar. Use these arrows to move among Campaigns, Groups, and Calling Lists views. These buttons become available when you start navigating in the left pane tree view.


Exploring the Main Window

Show/Hide Mandatory Fields Button

The Show/Hide Mandatory Fields button is to the right of the arrow buttons on the toolbar. Use this button to switch from showing mandatory fields (default setting) to hiding them. The mandatory fields display as the first fields in a calling list. When the Show/Hide Mandatory Fields button is selected, all mandatory fields are hidden in all calling lists until the session has ended.

If you switch from a calling list to another object, the Show/Hide Mandatory Fields button becomes inactive (see the figure below). This button is available only on the Calling List details view, and it is dimmed when any other views are selected.


Import__Do_Not_Call__file__button

Exploring the Main Window

Import 'Do Not Call' file button

The Import 'Do Not Call' File button is situated to the right of the Show/Hide Mandatory Fields button on the toolbar. Use this button to import a Do Not Call list. Clicking this button takes you to Step 1 of 3 in the Do Not Call Import Wizard. For more information, see Importing Do Not Call List Files.


Exploring the Main Window

Control OCS Connection Button

The Control OCS Connection button is to the right of the Import Do Not Call List button on the toolbar (see the figure below).

Use this button to disconnect from OCS, or to reconnect to OCS if your connection to OCS was lost and you have clicked the Cancel button in the OCS Reconnection dialog box.

When you click this button, OCM's behavior depends on the current OCS connection status, as follows:

  • If OCS is currently connected, OCM displays a prompt, asking whether you wish to disconnect from OCS.

  • If OCS is currently disconnected, OCM displays a prompt, asking whether you wish to connect to the primary or backup OCS.

Using this button enables you to open/close a connection to OCS any time you need to. So, if the connection to OCS was lost and you want to restore it, you do not need to close and re-open the session.


Exploring the Main Window

System Status Bar

The Status bar is located at the bottom of the main window. The system Status bar displays the status of server connections (Configuration Server and OCS) and the current activity status. The following table describes the status areas as they appear on the Status bar, from left to right.

Server Name or Process | Status Values | Description
Configuration Server | ON or OFF | Connection has been established. Or No connection has been established.
Outbound Contact Server | ON or OFF | Connection has been established. Or No connection has been established.
Status of current task | Text message | Displays the status of a task currently running. If no task is running, the bar is empty.

Outbound Contact Manager connects to one Outbound Contact Server at a time by prompting the user during login. If the connection between OCM and OCS is dropped for any reason, OCM prompts the user to reconnect.


Exploring the Main Window > Right Pane Views

Right Pane Views Overview

The right pane displays the data that corresponds to each of these left pane directories: Campaigns, Groups, and Calling Lists.

There are four primary views in the right pane, depending on the directory that you select on the left pane:

  • Groups view: available when you select Campaigns, and contains information about the groups associated with a selected campaign.

  • Calling lists view: available when you select Campaigns, and contains the calling list(s) associated with a selected campaign.

  • Campaigns view: available when you select Groups or Calling Lists, and contains information about the selected object.

  • Calling list details view: available when you select a Calling List, and contains records with information about the customers and filters used to limit the records dialed and/or viewed.

The following topics provide more detail about the different views:

Groups and Campaigns Topics

  • Groups and Campaigns Views

  • Displaying Groups and Campaigns Views

  • Groups and Campaigns Fields

Calling List Topics

  • Calling List Details View

  • Calling List Details View Fields

  • Calling Lists View

  • Displaying Calling List Views

  • Record Bar


Sorting in Groups Campaigns and Calling Lists Views

Exploring the Main Window > Right Pane Views

Sorting in Groups, Campaigns, and Calling Lists Views

To assist in the process of browsing and selecting items for groups, campaigns, campaign sequences, and calling lists, items appear alphabetically in each view. The arrow to the left of the column name indicates the property used to sort and the type of sort (see the figures below).

  • If the arrow points upward, the sort is ascending.

  • If the arrow points downward, the sort is descending.

To sort:

On the column name you want to use as a sorting criteria:

  1. Click once to sort and view in ascending order:

  2. Click again to change the direction of the sort and to view in descending order:


Exploring the Main Window > Right Pane Views

Groups And Campaigns Views

The Groups view contains a list of agent and place groups associated with the selected campaign.

The Campaigns view contains a list of campaigns associated with the selected group or calling list.

See also:

Groups and Campaigns Fields

Displaying Groups and Campaigns Views


Exploring the Main Window > Right Pane Views

Displaying Groups and Campaigns Views

The right pane includes the Groups view and the Campaigns view. Click one of the following views on the left pane to see its corresponding information on the right pane.

Groups View

To display the information in the Groups view:

The Campaigns directory displays a list of campaigns defined for the tenant chosen during login.

  • Select a campaign from the list.

    The upper-right pane default is the Groups view, which lists the groups associated with that campaign.

To change between the views available for the selected campaign:

  1. Click the drop-down arrow next to the view name.

  2. Select Calling Lists.

    The right pane changes to the Calling List view.

  3. Click the drop-down arrow to change between views.

Campaigns View

To display the Campaigns view:

  1. Open the Groups directory on the left pane.

    The Groups directory lists the groups defined for the tenant chosen during login.

  2. Select a group.

    The right pane defaults to the list of campaigns associated with that group.

See also:

Groups and Campaigns Fields

Groups and Campaigns Views


Exploring the Main Window > Right Pane Views

Groups And Campaigns FIELDS

The right pane view includes information associated with Campaigns and Groups. The following table describes the fields associated with the primary views in each directory.

Upper-Right Pane

Field Name

Description

Name

Agent or Place group name associated with the campaign.

Type

Group Type (Groups view). Values are Agent group or Place group.

Status

Campaign status related to this group.

Dialing mode

The current dialing mode for the campaign. This field shows the default dialing mode defined in the Campaign object in Configuration Manager, unless it has been changed in Outbound Contact Manager (OCM). Any change in OCM is temporary, and lasts only until the campaign is stopped or the setting is changed. Values are as follows:

  • Predictive, Progressive, Preview, Push Preview, Power GVP (in transfer dialing mode)

  • Preview, Push Preview, Power GVP, Progressive with seizing, Predictive with seizing (in ASM dialing mode)

Voice Transfer Destination

Directory Number (DN) to which connected calls are transferred before they are sent to agents.

Optimized parameter

Agent Busy Factor, Overdial Rate, or Average Waiting Time.

Target value

Values for the Agent Busy Factor and Overdial Rate Optimized parameters are measured in percentages. Value for Average Waiting Time is measured in seconds.

Active

Campaign or group status (Active or Inactive).

Interaction Queue

Queue where the interactions will be distributed.

Max Queue Size

Maximum number of interactions to be held in the interaction Queue.

IVR Profile

IVR Profile object that is used for the interactions

Lower-Right Pane

Field Name

Description

Optimization Tab

Dialing mode

Allows the user to change the campaign's dialing modes to Predictive, Progressive, Preview, Push Preview, Power GVP, Progressive with seizing, and Predictive with seizing (both seizing modes are available only in ASM mode).

Optimized parameter

Values are Agent Busy Factor, Overdial Rate, or Average Waiting Time.

Target value

Values for the Agent Busy Factor and Overdial Rate Optimized parameters are measured in percentages. Value for Average Waiting Time is measured in seconds.

Slide bar for Target value optimization

Shows the numbers 0, 50, and 100. Used to set the target value percentage between 0 and 100 (for Agent Busy Factor and Overdial Rate) or the value in seconds (for Average Waiting Time).

Update

Sends new optimization parameters for the campaign to OCS after dialing mode parameters are modified during a running campaign. This button is available only while a campaign is loaded and started.

Priorities Tab

Record Type

Select a record type for which you will specify a priority and number of records. The record type can be General, Campaign Rescheduled, or Campaign Callback.

Priority

Define a priority for the selected record type. A record type with a higher priority is dialed before a record type with a lower priority.

N records

Select the number of records that you want to assign to this priority for the specified record type.

Update

Sends new priorities for a campaign to OCS after dialing mode parameters are modified during a running campaign. This button is available only while a campaign is loaded and started.

Status

Campaign status. Values are Not Loaded, Active, Running, Waiting for unload, Unloading, Not active, Unknown.

Load/Unload

Loads or unloads a campaign in OCS. More than one campaign can be loaded at any given time. See Loading and Unloading a Campaign for more details.

Force Unload

This button becomes available if the unload command was used but the campaign or sequence was not unloaded within a certain timeout. After you click the Unload button, it is replaced by Force Unload.

Click this button only when OCS remains in the Unloading state for an unreasonable period of time. When you click the Force Unload button, OCS immediately unloads the campaign, marking all the records that still remain in the buffer as "Stale."

You can use the Force Unload button only once during an active campaign (a campaign that is loaded, running, or has stopped). After you use this button during an active campaign, it appears unavailable.

Warning! Some data can be lost during the Force Unload process.

Start/Stop

Starts or stops dialing for this campaign. See Starting and Stopping a Campaign for more details.

See also:

Groups and Campaigns Views

Displaying Groups and Campaigns Views


Exploring the Main Window > Right Pane Views

Calling List details View

The Calling Lists directory on the left pane shows the calling list defined for the tenant chosen during login. If you select a calling list, the right pane defaults to the Calling List details view.

The Calling List details view contains a list of records for that calling list. The first fields, seen in this view starting with record_id, are mandatory fields that were created in the assigned format. If custom fields have been created for a calling list, they appear to the right of the mandatory fields.

In OCM:

  • Click the Show/Hide Mandatory Fields button to hide mandatory fields. When mandatory fields are hidden, only your custom fields display.

  • Click the different areas of the Calling List details view window to display more information.

See also:

Calling List Details View Fields

Displaying Calling List Views

Browsing List Records


Exploring the Main Window > Right Pane Views

Calling List Details View Fields

Upper-Right Pane

Field Name | Description
Table | Name of table
Format | Name of format
Database | Name of database

Center Right Pane

  • Mandatory fields and user-defined custom fields

  • The Record bar

Lower-Right Pane

Field Name

Description

Dialing filter

Displays the defined dialing filter name.

  • check box

Dialing filter check box. Selects the dialing filter assigned to the calling list.

  • filter criteria

Dialing filter criteria. Shows the dialing filter criteria, if one is defined.

Viewing filter

Displays the selected viewing filter name.

  • check box

Viewing filter check box. Allows selection of a user-defined viewing filter.

  • filter criteria

Viewing filter criteria. Shows the viewing filter criteria, if one is defined and selected.

Ellipsis (Browse) button. Opens a dialog box for creating and/or selecting a viewing filter.

Update button

Refreshes the calling list by rereading records from the calling list's table, showing the current record status and call result. Applies dialing and/or viewing filters after selection.

See also:

Displaying Calling List Views


Calling List Campaigns View

Exploring the Main Window > Right Pane Views

Calling lists View

The Calling Lists view displays the name of each calling list, its weight, and whether it is active or inactive. This view contains the following fields:

Field Name | Description
Campaign (from the Calling Lists when Campaigns selected) | Campaign name [ Name of the calling list on the top]
Calling List (from Campaigns when Calling Lists selected) | Calling list name [Name of the campaign on the top]
Weight | Call percentage assigned to campaign or calling list
Active | Campaign or calling list status (Active or Inactive)

See also:

Displaying Calling Lists Views


Exploring the Main Window > Right Pane Views

Displaying Calling Lists Views

Calling lists have two view options: Calling list details view (default) and Campaigns view.

Calling List Details View

To display the Calling list details view:

  1. Open the Calling Lists directory on the left pane.

    The Calling Lists directory displays a list of calling lists defined for the tenant chosen during login.

  2. Select one of the calling lists.

    The right pane defaults to the Calling List Details View, which displays a list of records for that calling list.

Campaign View

To change to the Campaigns view for the selected calling list:

  1. Click the drop-down arrow next to the view name.

  2. Select Campaigns.

    The right pane changes to the Campaigns view.

Changing Between Views

To change between the views available for the selected calling list, click the drop-down arrow next to the view name.


Exploring the Main Window > Right Pane Views

Record Bar

The Record bar appears on the right pane of the Calling List Details View, below the list of dialing records. The following is a list of record bar fields, from left to right.

Field Name | Description
Records | Total number of records in the calling list
Records in filter | Number of records displayed after applying a dialing and/or viewing filter
Chains | Total number of chains in the calling list
Chains in filter | Number of chains after applying a dialing and/or viewing filter

See also:

Filters Overview

Chaining List Records Overview


Exploring the Main window > Left Pane Views

Left Pane Views Overview

The left pane contains the directory structure for the Campaigns, Groups, and Calling Lists directories. Each directory displays a list of objects available to the user.

There are three primary views on the left pane: Campaigns, Groups, and Calling Lists.

On the left pane, you can select the Campaigns, Groups, or Calling Lists view, in order to display the details for each one in the right pane.

  • Campaigns Directory: displays all campaigns configured for the tenant.

  • Groups Directory: displays all groups assigned to a campaign.

  • Calling Lists Directory: displays all calling lists configured for the tenant, according to the user's permissions (which determines their access).

The following topics provide more detail about the different views:

  • Campaigns Directory

  • Groups Directory

  • Calling Lists Directory


Sorting in Left Pane

Exploring the Main window > Left Pane Views

Sorting in the Left Pane

The items in each directory on the left pane appear alphabetically, in ascending order by default (see the figure below). They are not sortable by the user.

See also:

Left Pane Views Overview


Exploring the Main window > Left Pane Views

Groups Directory

The Groups Directory displays all of the groups assigned to campaigns.

Outbound Contact 7.6 provides Agent Groups and Place Groups:

  • Agent Group: a logical grouping of agents.

  • Place Group: a logical grouping of telephone sets.

  • Virtual Group: an intangible group of agents.

When you select a group in the Groups Directory, the following details for the group appear on the right pane:

  • Campaigns View: shows the campaigns associated with the selected group.

See also:

Groups and Campaigns Views


Campaign Directory

Exploring the Main window > Left Pane Views

Campaigns Directory

The Campaigns Directory displays all of the campaigns configured for the tenant. The campaigns are accessible according to the user's permissions.

When you select a campaign in the Campaigns Directory, the following details appear on the right pane:

  • Groups View: lists the agent/place groups associated with that campaign.

See also:

Groups and Campaigns Views


Calling List Directory

Exploring the Main window > Left Pane Views

Calling Lists Directory

The Calling Lists Directory displays all of the calling lists configured for the tenant. The calling lists are accessible according to the user's permissions.

When you select a calling list in the Campaigns Directory, the following details appear on the right pane:

  • Calling List Details View: shows a list of records for the calling list.

See also:

Calling Lists Details View


Formats

Formats Overview

A format is a user-customized template for calling lists. It is created in Configuration Manager or using Outbound Contact Wizard and consists of fields that form a data structure (for example, a database table); each field has properties that describe its characteristics. A calling list must contain Genesys mandatory fields and can also contain user-defined custom fields. See additional information in the Outbound Contact 7.6 Deployment Guide.

  • Mandatory fields are necessary in order to process records properly. They identify each customer and the status of each customer record. Genesys mandatory fields are described in the Identifying Mandatory Fields in Formats topic. See additional information in the Outbound Contact 7.6 Deployment Guide.

  • Custom fields, typically containing business-related data, can be created and added to a format in Configuration Manager or using Outbound Contact Wizard. Custom fields define customer information that will be available to the agent during a call. See "Field Object" in the Outbound Contact 7.6 Deployment Guide about how to send customer data to an agent.

After custom fields are added, the format is finished and is ready to be used to create calling lists. A calling list must be created from a format, and inherits mandatory and custom fields from the assigned format. Each calling list can have only one corresponding format.

When database records are imported into a calling list, data fills the mandatory and custom fields, conforming to properties established in the finished format.


Formats

Identifying Mandatory Fields in Formats

The following mandatory fields are required in all calling list formats. This list is sorted alphabetically by field name. Default values for these fields are defined in the Fields objects during configuration.

Field Name | Data Type | Description
agent_id | varchar(32) | Login identifier of the agent who handled the record.
app_id | integer | Empty, not used at this time.
attempt | integer | Number of attempts made to reach the customer.
call_result | integer | Final outcome of the record processing. See the Call Results table in the Defined Constants chapter of the Outbound Contact 7.6 Reference Manual.
call_time | integer | Latest date and time at which the record was processed (dialed), in UTC format.
campaign_id | integer | Configuration DBID of the Outbound Dialing Campaign, as a part of which the record has been processed.
chain_id | integer | Unique identification number of the chain to which the record belongs.
chain_n | integer | Unique identification number of the record within the chain.
contact_info | varchar(64) | Customer’s contact information; phone number in the voice campaign.
contact_info_type | integer | Type of the contact information; phone type in the voice campaign. See the Phone Types table in the Defined Constants chapter of the Outbound Contact 7.6 Reference Manual.
daily_from | integer | Earliest time of the day at which a customer can be contacted (seconds since midnight).
daily_till | integer | Latest time of the day at which a customer can be contacted (seconds since midnight).
dial_sched_time | integer | Date and time for which the processing of the record has been scheduled or rescheduled, in UTC format (seconds since midnight 01/01/1970).
email_subject | varchar(255) | Empty, not used at this time.
email_template_id | integer | Empty, not used at this time.
group_id | integer | Empty, not used at this time.
media_ref | integer | Empty, not used at this time.
record_id | integer | Unique identification number of a calling record.
record_status | integer | Current status of the record. See the Record Types table in the Defined Constants chapter of the Outbound Contact 7.6 Reference Manual.
record_type | integer | Type of the record. See the Record Types table in the Defined Constants chapter of the Outbound Contact 7.6 Reference Manual.
switch_id | integer | DBID of the Switch where the agent who handled the record had logged in.
treatments | varchar(256) | Treatments application history. For more information, see the “Treatments” chapter in the Outbound Contact 7.6 Deployment Guide.
tz_dbid | integer | Configuration DBID of the Time Zone object associated with the calling record.

See also:

Calling List Details View


Calling Lists

Calling Lists Overview

Calling lists are database tables with records that store a collection of phone numbers and other customer and business-related data. Each record contains the campaign name and campaign ID, as well as a unique customer phone number. See additional information about calling lists in the Outbound Contact 7.6 Reference Manual.

Calling lists are created in Configuration Manager or using the Outbound Wizard, and inherit their structure from the assigned format. See "Format Object" in the Outbound Contact 7.6 Deployment Guide.

A list must contain Genesys mandatory fields, such as contact_info and contact_info_type, and can also contain user-defined, custom fields. The campaign name, for example, is stored in a user-defined field, which is specified by the campaign_name_field option. A user-defined field may also serve as a customer identifier for Do Not Call requests, as an alternative to the DNC restriction on a customer's phone number.

An unlimited number of calling lists can be added to one campaign, and a calling list can be added to or deleted from a running campaign. A campaign can be assigned to multiple campaign groups.

Outbound Contact Manager provides the following ways to maintain and work with calling lists:

  • Populating Calling Lists

  • Working with List Records

    • Chaining List Records

  • Do Not Call Lists

  • Filters

    • Dialing Filters

    • Viewing Filters


Calling Lists > Populating Calling Lists

Populating Calling Lists Overview

Calling list records brought in from outside sources are called source records. Lists that will be populated with these records are called destination lists. Source records typically come from a text-only ASCII file. OCM reformats the data from the ASCII file, and a database administrator maps the reformatted data to columns in the database table. After records are imported and/or exported, Outbound Contact Manager (OCM) creates a log file that stores importing and/or exporting record counts.

Calling list records can be transferred in the following ways:

Transfer Type | Use this transfer type if...
Import from file | Source records have been formatted and stored in a text-only file.
Import from calling list | Source records reside in a list whose formatting matches that of the destination list, and the destination list is empty or contains records to overwrite.
Export to file | Source records in a list must be transferred to a text-only file, formatted there, and eventually transferred to the destination list.
Export to calling list | Source records reside in a list whose formatting matches that of the destination list.

Importing

To import calling lists, the source and destination files must meet all of the following requirements:

  • The source file or list and the destination calling list have the same format.

  • The source list and destination calling list are stored in different database tables of the same database. (This avoids creating duplicate records when two or more calling lists share the same database table.)

  • Database tables for both the source list and the destination calling list can be located on different databases, but they must have the same type of Database Management Systems.

For information about import options, see Importing Calling Lists.

For the procedures for importing files, see these topics:

Importing Records from a File

Importing Records from a List

Note the following:

  • When you use the Import menu in Outbound Contact Manager, Genesys recommends that the Genesys mandatory fields in the import data be specified with the descriptive string in the Genesys enumeration table. See "Genesys Enumeration Tables" in the Outbound Contact 7.6 Reference Manual.

  • When you are importing an ASCII file, Genesys highly recommends that you specify all fields (both mandatory and custom) in your ASCII file so that the file format matches your database exactly. For more information about importing files, see "Populating Calling Lists Overview" in the Outbound Contact 7.6 Reference Manual.

  • Make sure that you have accurately populated your calling list based on the Genesys mandatory fields described in "Populating Calling Lists Overview" in the Outbound Contact 7.6 Reference Manual.

  • For specifying default values for fields, see "Field Object" in the Outbound Contact 7.6 Deployment Guide.

  • For information about using Time Zones in calling lists, see the Time Zone table in the Outbound Contact 7.6 Reference Manual.

Exporting

OCM exports only records that display after filters are applied.

  • Use dialing and/or viewing filters to filter out records that you do not want to export.

  • If you want to export all records in a calling list, make sure that both filters are unassigned.

See also:

Viewing Log Files

Inserting a List Record Manually


Calling Lists > Populating Calling Lists

Importing Calling Lists

The following options for importing callings lists are available, depending on the format:

Import from Calling List | Available if the calling list being imported is in 6.x or 7.x format.
Import from 5.x to 6.x | Available for a list in the 6.x format. Imports a 5.x plain text file into a calling list in the 6.x format. You cannot import a 5.x file directly into the 7.x format; however, after the data is in the 6.x format, you can import it into the 7.x format.
Import from 6.x | Available for a list in the 6.x or 7.x format. Imports a file in the 6.x format into a calling list in the 7.x format. Because OCS 7.6 reads both formats, it is not necessary to import from the 6.x to 7.x format.
Import from 7.x | Available for a list in 7.x format. Imports a file in the 7.x format into the 7.x format.
Append new | Adds records from the source list into the destination list. If OCM finds duplicate records, it drops the new record and retains the existing record.
Append and Update | Also adds records from the source list into the destination list; however, if duplicate records exist, the imported record overwrites the existing record.

See also:

File Menu

Importing Records from a File

Importing Records from a List


Calling Lists > Populating Calling Lists

Importing Records from a File

To import records from a source file into a destination list:

  1. Open the Calling Lists directory and select the destination list.

  2. From the File menu, select Import.

  3. In the Import Calling list dialog box, click Import from file.

  4. Click [image] to select the source file, and then click Open.

  5. Select one of the following import modes:

    • Append new: Adds records from the source file into the destination list. If duplicate records are found, the imported record is dropped and the existing record remains. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the Chain ID and Chain N fields).

    • Append and update: Adds records from the source file into the destination list. If duplicate records are found, the imported record overwrites the existing record. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the Chain ID and Chain N fields). If no duplicate records are found, then the record from the source file is inserted as a new record in the destination calling list.

  6. Click OK.

See also:

Importing Records from a List

Viewing Log Files

Inserting a List Record Manually

Importing Do Not Call List Files


Calling Lists > Populating Calling Lists

Importing Records from a List

To import records from one calling list into another:

Note: Before importing any records, see the import requirements.

  1. Open the Calling Lists directory and select the destination list.

  2. From the File menu, select Import.

  3. In the Import Calling list dialog box, click Import from calling list.

  4. Click [image] to select the source list, and then click OK.

  5. Select one of the following import modes:

    • Append new: Adds records from the source list into the destination list. If duplicate records are found, the imported record is dropped and the existing record remains. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the Chain ID and Chain N fields).

    • Append and update: Adds records from the source list into the destination list. If duplicate records are found, the imported record overwrites the existing record. Duplicate records are two records that have the same values in all Primary Key fields (by default, it is the Chain ID and Chain N fields). If no duplicate records are found, then the record from the calling list is inserted as a new record in the destination calling list.

  6. Click OK.

See also:

Importing Records from a File

Viewing Log Files

Inserting a List Record Manually

Importing Do Not Call List Files


Calling Lists > Populating Calling Lists

Exporting Records to a File

Outbound Contact Manager (OCM) exports only those records that display after filters are applied.

Use dialing and/or viewing filters to filter out records that you do not want to export. If you want to export all records in a calling list, make sure that both filters are unassigned.

If the records are intended for eventual transfer to another list, the source list's format must match the destination list's format.

To export records from a calling list to a file:

  1. Open the Calling Lists directory and select the source list.

  2. From the File menu, select Export.

  3. In the Export Calling list dialog box, click Export to file.

  4. Click [image] to assign the destination file name, and then click Save.

  5. Click OK.

See also:

Viewing Log Files


Calling Lists > Populating Calling Lists

Exporting Records to a List

Outbound Contact Manager (OCM) exports only those records that display after filters are applied. Use dialing and/or viewing filters to filter out records that you do not want to export. If you want to export all records in a calling list, make sure filters are not assigned.

There are two ways to export records to another list: Copy and Move. Copying records leaves the source intact. Moving records removes them from the source and pastes them into the destination list.

To export records from a calling list to another list:

  1. Open the Calling Lists directory and select the source list.

  2. From the File menu, select Export.

  3. In the Export Calling list dialog box, click Export to calling list.

  4. Click [image] to select the destination calling list name, and then click OK.

  5. Select one of the following export modes:

    • Copy: exports a copy of the selected records.

    • Move: exports the selected records and deletes them from the source list.

  6. Click OK.

See also:

Viewing Log Files


Calling Lists > Populating Calling Lists

Viewing Log Files

Outbound Contact Manager (OCM) creates a log file every time records are imported or exported. This log file is stored in the OCM directory. The file name is the calling list name; the file extension is always .rej. The information contained in the log file includes:

  • Total Records: the total number of records that are read from the source.

  • Records Processed: the number of records from the source that are either added, or used to replace a record with the same key in the destination file.

  • Records Rejected on Input: the number of records from the source file that are rejected, due to either a syntax error or failing database constraints.

  • Rejected by Database: the number of records from the source file that are rejected only if the following circumstances exist:

    • Records are being imported into a calling list.

    • Insert or update operation returned a DBMS error.


Calling Lists > Working with List Records

Working with List Records Overview

To see calling list records, select a calling list from the Calling Lists directory on the left pane. The right pane displays records for the selected calling list. The first fields, displayed from left to right, are mandatory fields from the assigned format. If custom fields were created, they display to the right of mandatory fields.

All fields that were created for a calling list display on the right pane. Mandatory fields can be hidden using the Show/Hide Mandatory Fields button. See additional information in the Outbound Contact 7.6 Reference Manual.

Outbound Contact Manager (OCM) enables you to:

  • Browse list records.

  • Insert a list record into an existing list.

  • Update a single record.

  • Delete a single record.

  • Chain list records.

  • Modify all list records or all records in a selected filter.

  • Delete all list records or all list records in a filter.

  • Prioritize record types for dialing.

  • Expert Mode for Calling Lists


Calling Lists > Working with List Records

Browsing List Records

To browse a calling list, open the Calling Lists directory and select a calling list.

  • To scroll horizontally, use the scroll bar at the bottom of the list.

  • To scroll vertically, use the scroll bar to the right of the list.

  • To move between records, use the up/down arrow keys on your keyboard.

See also:

Calling List Details View

Formats Overview

Identifying Mandatory Fields in Formats


Calling Lists > Working with List Records

Inserting a List Record Manually

To insert a new record into an existing calling list:

  1. Open the Calling Lists directory and select a calling list.

  2. There are three ways to access the Insert record dialog box:

    • From the Tools menu, select Calling list, and then select Insert record.

    • Right-click the area where records are displayed, and select Insert record.

    • Highlight a record and press the INSERT key on the keyboard.

3. In the Insert record dialog box, enter information into each field. See Formats for mandatory field definitions.

4. Click OK.

See also:

Populating Calling Lists Overview


Calling Lists > Working with List Records

Updating a List Record

Field values can be updated, either one record at a time or all displayed records at once.

To update one list record:

  1. Open the Calling Lists directory and select a calling list.

  2. Select the record to update.

  3. There are three ways to access the Update record dialog box:

    • From the Tools menu, select Calling list, and then select Update record.

    • Right-click the area where records are displayed, and select Update record.

    • Press the F2 key on the keyboard.

  4. In the Update record dialog box, enter information into the appropriate fields. See Identifying Mandatory Fields in Formats for mandatory field definitions.

  5. Click OK.

    Changed fields update automatically.

Note: It is possible to create chained records manually; however, this is not recommended. To create one chained record at a time in OCM:

  1. From the Tools menu, select Calling list, and then select Update record.

  2. In the Update Record dialog box, double-click the chain_n field and enter any number (for example, 1) for the first phone number to be dialed.

  3. Click OK.

  4. Follow the same procedure for each subsequent record in the chain, entering 2 in the chain_n field for the second phone number to be dialed, 3 for the third phone number, and so on.

Note: Genesys recommends that you do not modify records in a calling list while a campaign is loaded or running because data may be lost. In Outbound Contact 7.6, users receive a warning message if they attempt to modify a record in this scenario.

See also:

Modifying All List Records


Calling Lists > Working with List Records

Deleting a List Record

List records can be deleted, either one record at a time or all displayed records at once.

To delete one list record:

  1. Open the Calling Lists directory and select a calling list.

  2. Select the record to delete.

  3. There are three ways to access the Delete record dialog box:

    • From the Tools menu, select Calling list, and then select Delete record.

    • Right-click the area where records are displayed, and select Delete record.

    • Press the DELETE key on the keyboard.

  4. When prompted, click Yes if you want to delete the record.

    The record is automatically deleted.

See also:

Deleting All List Records


Seeing Campaign Name and Campaign ID

Calling Lists > Working with List Records

Showing Campaign Name and Campaign ID

In the Calling List Details view of OCM, you can choose to show either the campaign name or the campaign ID. To show the campaign name, do one of the following:

  • From the OCM main menu, select Tools > Calling List > Show Campaign Name.

  • In the Calling List Details view, right-click and select Show Campaign Name.

The Show Campaign Name menu item works as a check box. If you select it, the view presents the campaign name. If you clear it, the view presents the campaign ID. The default is cleared (campaign ID).


Calling Lists > Working with List Records > Chaining List Records

Chaining List Records Overview

Chaining records, also referred to as alternative number dialing, makes it possible to link several customer telephone numbers (home, business, and cell phone), and to dial each number until the customer is contacted. For example, if the customer does not answer at home, the software dials the business telephone, and so on. When the customer is reached at one number, all other phone numbers for that customer are excluded from dialing.

When multiple records for a single customer are chained, and a successful call is made to one phone number, each record is automatically updated with the results. This avoids duplicate calls to the same person.

There are three methods for chaining records:

  • The database administrator adds the mandatory fields to the ASCII file and sets the values for chain_id and chain_n. (This is the recommended method).

  • If your database administrator did not add the mandatory fields chain_id and chain_n, they can be added in OCM by selecting Calling list from the Tools menu, and then selecting Record chaining. In the "Which fields should be used for chaining?" list, select the fields that identify a single contact (for example, customer_name).

  • To manually chain the chain_id and chain_n fields in every record, in OCM, select Tools, Calling list, and then Update record. (This method is not recommended.)

Chained records share three characteristics:

  • A user-defined field that has a common value in all related records. This field links each record to the others when a chain is created. For example, the customer name that is entered in the customer name field is the same for that customer's home telephone number, business telephone number, and so on.

  • A system-assigned chain ID that identifies linked records in the database as belonging to the same chain.

  • A user-identified field used to order (sort) records for dialing within a chain. For example, chained records can be ordered according to a user-defined field for the customer name. Ordering determines which of the customer's phone numbers is dialed first.

All records in a calling list are assigned a chain ID and a chain number, even if there is only one record in a chain. These are unlinked records containing a unique chain ID and a chain number with any positive number, including zero. These unlinked records are not considered to be chained records.

The term chained records refers to multiple records linked to each other and assigned the same chain ID. Because each record can contain only one phone number, you can chain different phone numbers for one person. Outbound will then call one phone number in the chain, followed by the next. For example:

Phone Type | Chain ID (chain_id) | Chain # (chain_n)
James Smith (Home) | 327 | 1
James Smith (Work) | 327 | 3
James Smith (Mobile) | 327 | 2
Janet Green (Work) | 328 | 1
Janet Green (Home) | 328 | 3
Janet Green (Pager) | 328 | 2

Note: The chained record number (chain_n) can be any positive number, including zero. In the example above, the first number to be called in the chain starts with 1, the second phone number to be called begins with 2, and all subsequent phone numbers follow this numbering scheme sequentially: 1, 2, 3, 4, and so on. The numbers can be in any order, but they are processed in ascending order by default.

In Outbound Contact Manager, you can change the order_by field from the default value ascending to descending. From the Annex tab, enter descending (DESC) to ascending chain_n (ASC) or you can set records in a chain and specify a list of record fields followed by DESC or ASC and separated by commas as shown in the example.

(The record field names specified in order_by will determine the record order for dialing.)

Outbound Contact Manager enables you to:

  • Create Chained Records.

  • Sort (Order) Chained Records.


Creating and Sorting Chained Records

Calling Lists > Working with List Records > Chaining List Records

Creating Chained Records

To chain records in a calling list:

  1. Open the Calling Lists directory and select a calling list.

  2. From the Tools menu, select Calling list, and then select Record chaining; or, right-click the area where records are displayed, and select Record chaining.

  3. In the "Which fields should be used for chaining?" list, click to select from the user-defined fields, or select from the mandatory fields.

    To show mandatory fields, select the Show mandatory fields check box. Clear this check box to display only user-defined fields.

  4. Click OK.

Creating Chained Records Manually

You can create chained records manually.

The following example describes how to add one record at a time to an existing chain that consists of one record, in OCM:

  1. Select Update record.

  2. There are three ways to access the Update record dialog box:

    • From the Tools menu, select Calling list, and then select Update record.

    • Double-click the selected record

    • Right-click the area where the records are displayed, and select Update record.

  3. In the Update record dialog box, double-click the chain_id field and enter the same number as the existing chain.

Note: In a chain of records, each record must have the same chain_id field number and a different chain_n field number.

  4. Select the chain_n field and enter 1 for the second phone number to be dialed. (By default, the first record in the chain_n field is 0.)

  5. Click OK.

  6. Follow the same procedure for each subsequent record in the chain, entering 2 in the chain_n field for the third phone number to be dialed, 3 for the fourth phone number, and so on.

Sorting Chained Records

To order (sort) records within a group of chained records:

  1. Open the Calling Lists directory and select a calling list.

  2. From the Tools menu, select Calling list and then select Record chaining; or, right-click the area where records are displayed, and select Record chaining.

  3. In the "Which field should be used for ordering?" drop-down list, select a field.

  4. Click OK.


Calling Lists > Working with List Records

Modifying All List Records

Field values can be updated in one record, or they can be modified in multiple records during one procedure. If you want to modify a group of records, create a viewing filter to select only those that you wish to change. Only records that display can be modified. If you are preparing a calling list for dialing, you need to change all records that will be part of the current campaign.

To modify all records displayed in the list:

  1. Open the Calling Lists directory and select a calling list.

  2. If you wish to modify a group of records, create a viewing filter to select them.

  3. From the Tools menu, select Calling list, and then select Modify all; or, right-click the area where records are displayed, and select Modify all from the menu.

  4. In the Modify all dialog box, enter field values into the right column, or click in a field and select values from drop-down boxes or spin boxes, when available. Make sure that you select the check box that corresponds to the selected text to update a field.

    See Identifying Mandatory Fields in Formats for mandatory field definitions.

  5. Click OK.

    Field values automatically update.

  6. If you selected a viewing filter, clear the Viewing filter check box to display all the records.

Note: Genesys recommends that you not modify records in a calling list while a campaign is loaded or running, because data may be lost. In Outbound Contact 7.6, users receive a warning message if they attempt to modify a record in this scenario.

See also:

Updating a List Record


Calling Lists > Working with List Records

Deleting All List Records

Records can be deleted, either one at a time, several at once. If you want to delete a group of records, create a viewing filter to select only those that you wish to delete. Only records that display can be deleted.

To delete all records displayed in the calling list:

  1. Open the Calling Lists directory and select a calling list.

  2. If you wish to delete a group of records, create a viewing filter to select them.

  3. Make sure that the correct viewing filter is selected, and click Update.

  4. From the Tools menu, select Calling list, and then select Delete all; or, right-click the area where records are displayed, and select Delete all.

  5. When prompted, click Yes to delete all displayed records.

    Displayed records are deleted.

  6. Clear the Viewing filter check box to display the remaining records.

Note: Genesys recommends that you not modify records in a calling list while a campaign is loaded or running, because data may be lost. In Outbound Contact 7.6, users receive a warning message if they attempt to modify a record in this scenario.

See also:

Deleting a List Record


Calling Lists > Working with List Records

Expert Mode for Calling Lists

Along with Standard mode for Insert/Update operations into the calling list, OCM now supports Expert Mode. This mode allows you to enter SQL expressions, and then to execute these SQL expressions over the currently opened calling list table. No restrictions are imposed on this SQL expression. When switching from Standard Mode tab to Expert Mode tab, OCM generates an SQL expression for the field values set in Standard tab, so that it can be used as a template for extended SQL expressions, or it can be customized as required.


DoNotCall List Overview

Calling Lists > Do Not Call Lists

Do Not Call List Overview

A list of customers who request not to be called is known as a Do Not Call list. This data is stored in a Do Not Call list file, using either the customer's phone number or customer ID.

Outbound Contact Manager enables you to:

  • Import Do Not Call List files.

  • Select Tenant(s), data file, and file type.

  • Assign names to data columns.

  • Specify data import options.


Calling Lists > Do Not Call Lists

Importing Do Not Call List Files

OCM can process Do Not Call lists that are formatted as plain text (flat) files, with columns of data separated by commas (comma-separated values), and rows separated by the end of a line.

OCM recognizes the following types of Do Not Call lists: the Full List file and the Change List file. Both file types adhere to lists distributed by the U.S. Federal Trade Commission (FTC).

Follow these steps to complete the information in the Import Wizard:

  1. Select tenant(s), data file and file type

  2. Assign names to data columns

  3. Specify data import options

For more information, see the Outbound Contact 7.6 Reference Manual.


Calling Lists > Do Not Call Lists

Selecting Tenant(s), Data File, and File Type

  1. From the list that displays, select the tenant(s) for whom OCM will process Do Not Call tables. For each tenant selected, OCM will attempt to find a database table configured by the Table Access object with the name gsw_donotcall_list and the type Log Table. If it successfully finds and opens such a table, OCM inserts or updates data from the text file into it.

  2. Click the browse button to select a Do Not Call file.

  3. Select Do Not Call file type, and then select either Full List or Change List for the selected file (see the figure below).

Full List

OCM will form the SQL INSERT statement for each row of the text field. Character values will be inserted into single quotation marks automatically.

For example, this row from the text file:

14155551212,Customer_ID,101

will be processed as:

INSERT INTO <tablename> (phone, customer_id, tenant_dbid) VALUES ('14155551212','CustomerID1',101)

Change List

OCM will form the SQL INSERT statement for each row coded A (for Add), or form the SQL DELETE statement for each row coded D (for Delete).

For example, this row from the text file:

1415551215,Customer_ID1,101,A

will be processed as:

INSERT INTO <table name> (phone, customer_id, tenant_dbid) VALUES (‘14155551212’,’Customer_ID1’,101)

This row from the text file:

14155551212,Customer_ID1,101,D

will be processed as:

DELETE FROM <table name> WHERE phone = '14155551212' AND customer_id='Customer_ID1' AND tenant_dbid=101

  4. Click Next.

Next step: Assign names to data columns


Calling Lists > Do Not Call Lists

Assigning Names to Data Columns

The data grid in the middle of this dialog box shows the first 10 rows (or fewer, if the file is smaller) from the original text file selected in Select Tenant(s),Data File, and File Type. Each column that is separated by a comma in the file becomes a separate column of the grid.

  1. Click anywhere on the grid column to select it (the selected column will become highlighted, as shown in the figure below, with the customer_id column highlighted).

  2. In the column selected, use the drop-down list to map the highlighted column to an appropriate column name in the Do Not Call List table.

  3. A special entry in the drop-down list named Transaction Type becomes available when the type of the selected list is Change List. This entry allows you to specify a column in the data file which contains the operation code required for the given column (A – add, D – delete).

  4. Click Next.

Next step: Specify data import options


Calling Lists > Do Not Call Lists

Specifying Data Import Options

Make the selections in this step based on your configuration.

  1. If you are importing a Full List file and you want to empty the contents of this file, select Empty database table before import (see the figure below). Otherwise, proceed to Step 2 below.

    • Select from these options:

      • Delete external 'Do Not Call' entries only

      • Delete all 'Do Not Call' entries

Option | Description
Delete external 'Do Not Call' entries only | Enables you to delete only external Do Not Call entries (by means of DELETE FROM <table name> WHERE is_internal IS NULL OR is_internal <> 1 SQL statement).
Delete all 'Do Not Call' entries | Allows you to clear the table (by means of DELETE FROM <table name> SQL statement).

  2. If the timestamp field is empty in the file that you are importing, select one of the following options under "If 'time_stamp' field is empty, then:"

    • Set it to current time

    • Leave it empty

Option | Description
Set it to current time | Allows you to populate this column with the current timestamp (for example, if timestamp data is not selected or the timestamp data in the file is missing). Current time is represented in UTC.
Leave it empty | Allows you to leave the timestamp field empty.

  3. Keep the default value, Do table modifications in Transaction, if you want OCM to perform all the operations in one transaction in the Do Not Call table. OCM executes BEGIN TRANSACTION before any other statement and COMMIT TRANSACTION after these statements. If an error occurs while processing the operation with the database (for example, if an attempt is made to insert a character value into an integer value column), the ROLLBACK TRANSACTION statement will be executed automatically.

    Clear the default value if you want OCM to send each statement individually, without the transaction. If an error occurs while processing the operation, a rollback statement is not executed.

  4. Click Finish.

After all tables are processed, OCM prepares a report, showing a summary of the operations performed for each tenant selected.


Calling Lists > Filters

Filters Overview

Filters limit the selection of records in a calling list. There are two kinds of filters in Outbound Contact Manager:

  • Dialing filters

  • Viewing filters

A dialing filter restricts calling lists so that only certain numbers are dialed during a campaign. A viewing filter changes or specifies the viewing criteria for displaying records in a calling list.

It is possible to join a dialing filter and viewing filter together for browsing when both filters are enabled. If both a dialing filter and a viewing filter are enabled, the Order By criteria in the dialing filter takes precedence over the Order By criteria in the viewing filter when displaying call records.

OCM automatically saves a viewing filter when the user leaves the current calling list. When the user re-opens the list, OCM automatically retrieves and displays the filter.

OCM provides these ways to work with filters:

  • Applying a Dialing Filter

  • Creating a Viewing Filter

  • Sorting Records in a Viewing Filter

  • Understanding Complex Viewing Filters

  • Modifying a Filter

  • Saving a Viewing Filter

  • Selecting a Viewing Filter

  • Using the Operators List


Calling Lists > Filters > Dialing Filters

Dialing Filters Overview

Dialing filters are created and applied to calling lists in Configuration Manager or Outbound Contact Wizard. They can also be applied to calling lists for browsing/viewing purposes in OCM, but they cannot be created or modified in OCM. Filters customize the calling list so that only certain phone numbers are dialed during a campaign.

Note: Creating dialing filters requires using Enumeration values in place of text values for some mandatory fields. An Enumeration value is a numeric representation of a Genesys mandatory field value. For more information about Enumeration values, see "Genesys Enumeration Tables" in the Outbound Contact 7.6 Reference Manual.


Applying a Dialing Filter

Calling Lists > Filters > Dialing Filters

viewing a Dialing Filter

Dialing filters are created in Configuration Manager, to customize the calling list so that only certain phone numbers are called during a campaign. Dialing filters cannot be created in Outbound Contact Manager. A dialing filter is automatically enabled if it is defined in the calling list in Configuration Manager.

The dialing filter in Outbound Contact Manager affects only browsing. The name of the selected filter displays to the left of the filter's criteria description.

To view a dialing filter:

  • Open the Calling Lists directory, and select a calling list.

    If there is a filter associated with this calling list, it displays in the dialing filter's criteria box.


Calling Lists > Filters > Viewing Filters

Viewing Filters Overview

Viewing filters are created in Outbound Contact Manager. They change the records that are displayed in a calling list, by specifying viewing criteria. These filters can also be used to select a group of records to modify or delete.

OCM automatically saves the current viewing filter in Configuration Manager when the user leaves the calling list, and retrieves it when the user re-opens the calling list. The user can also save the current viewing filter as a file for future use by any user.

There are two ways to create statements for viewing filters. In the Edit filter dialog box, you can click the Standard mode tab or the Expert mode tab.

  • Use the Standard mode to create string value statements, or to work within the limitations of the Standard mode template.

  • Use the Expert mode to take full advantage of SQL statements, writing your own complex statements using integers (string statements are not allowed).

Note: A filter is actually part of a SQL statement; therefore, when you create a complex statement in SQL, the rules of the Database Management System apply. For example, the AND operation will always take precedence over the OR operation. Check with a database administrator if you are uncertain about the results of a filter.


Calling Lists > Filters > Viewing Filters

Filter Types

Two types of statements are used to create filters: simple statements and complex statements.

  • A simple statement can be used to create a viewing filter in Outbound Contact Manager. A simple statement consists of a field name and a field value, linked by an operator. For example, to view records that have been dialed more than three times, use the following statement:

    attempt > 3

  • A complex statement is two or more simple statements linked by AND or OR.

For more information about Enumeration values, see "Genesys Enumeration Tables" in the Outbound Contact 7.6 Reference Manual.


Calling Lists > Filters > Viewing Filters

Creating a Viewing Filter

In the Edit filter dialog box, there are two modes for creating file statements for viewing filters:

  1. Click the Standard mode tab to create simple statements or complex string statements that work within the Standard mode template .

  2. Click the Expert mode tab to write your own complex statements, applying your expert knowledge of SQL.


Calling Lists > Filters > Viewing Filters

Standard mode

The Edit filter dialog box displays the Standard mode tab as its default (see the figure below). Use the Standard mode to create a simple viewing filter or complex statements that work within the Standard mode template:

  1. Open the Calling Lists directory and select a calling list.

  2. Click [image] to create a viewing filter.

  3. In the Edit filter dialog box, select a Field name, an Op (operator), and the field name Value. For example, to view records that have been dialed more than three times, select the attempt Field name, the > (greater than) operator, and enter a 3 in the Value box.

  4. Click Add to insert the first viewing filter statement into the Criteria box.

  5. For a more complex statement, in which you separate two choices in a SQL statement linked by AND or OR, start the statement with ( (open parenthesis) and end it with ) (close parenthesis). To select a parenthesis, double-click in the column below the parenthesis symbol, in the row where you want the parenthesis to appear.

For example, in the figure above, the filter will display the records that meet the following conditions: either the record_id is less than 300 and the record_type equals the value General, or the record_status does not equal Stale.

Note: The buttons to the right of the Criteria box change for each action, depending on the options available.

Now you can sort the records that will display after this filter is applied, and save the filter to make it available for future use; or, you can click Ok to create a temporary filter without sorting the records.

If you need more than one statement in the filter criteria, it may save time to write the filter statements on paper first, to verify that they are correct before you create the filter.

Note: In Standard mode, time/date fields display in local time and date format. In Expert mode, time/date fields display in a sequence number format. A sequence number represents Coordinated Universal Time (UTC), which is calculated based on the current time zone. If you use Expert mode, Genesys recommends that you first use Standard mode to select the field and enter the time/date values, and then go to Expert mode to display the sequence number that represents the time and date in UTC format. Otherwise, in Expert mode, you must calculate the UTC value using the calculation table in the Outbound Contact 7.6 Deployment Guide.


Calling Lists > Filters > Viewing Filters

Expert Mode

Along with Standard mode for Insert/Update operations into the calling list, OCM now supports Expert mode. This mode allows to enter SQL expression

and then to execute this SQL expression over currently opened calling list table. No restrictions are imposed on this SQL expression.

When switching from Standard mode tab to Expert mode tab OCM generates SQL expression for the field values set in Standard tab and displays it,

so that it could be used as a template for extended SQL expression or customized as required.

Click the Expert mode tab to create complex filter statements using SQL code.

  1. Enter SQL code into the Criteria box under Filter applied, to create your own complex statements (see the example below).

    Note: A complex statement consists of two or more simple statements linked by AND or OR.

  2. Click Ok to sort the records with this filter.

  3. Click Save As to save the filter on your local drive. In the File name box, enter the name of the file. In the Filter name box, enter the name of the filter.

  4. Click Save in the Save Filter dialog box to save the named filter on your local drive.

  5. Click Ok.

For example:

(contact_info LIKE '415%' AND contact_info_type = 1) OR (attempt = 1 AND call_result = 33)

In this example, the first statement requests the filter to select contacts in the 415 area code with a contact_info_type equal to the contact's home phone number (represented by the number 1). The second statement requests the filter to select records for which the call result is answer (represented by the number 33) and the number of attempts is 1. The number 33 represents an Enumeration value that corresponds to a Genesys mandatory field value.

Note: Complex statements created with the Expert mode tab require Enumeration values in place of text values. For more information about Enumeration values, see "Genesys Enumeration Tables" in the Outbound Contact 7.6 Reference Manual.

If you need more than one statement, it may save time to write the filter statements on paper first, to verify that they are correct before you create the filter.

This release introduces a new check box, Preliminary syntax check, which controls whether or not the SQL statements that you enter are parsed (that is, whether the syntax is checked) before passing the statement to OCM. The parser is capable of tracking simple syntax errors in SQL code—for example, "contact_info LIKE '415%'"—but the parser may interpret complex SQL code as a syntax error. Therefore, if you are creating complex SQL code in the Expert mode, make sure that the Preliminary syntax check box is cleared, which is the default setting.

Note: In Standard mode, time/date fields display in local time and date format. In Expert mode, time/date fields display in a sequence number format. A sequence number represents Coordinated Universal Time (UTC), which is calculated based on the current time zone. If you use Expert mode, Genesys recommends that you first use Standard mode to select the field and adjust the time/date values, and then go to Expert mode to display the sequence number that represents the time and date in UTC format.


Calling Lists > Filters > Viewing Filters

Sorting Records in a Viewing Filter

To sort the records in a filter:

  1. Using either the Standard mode or Expert mode, from the Edit filter dialog box, click Order by.

  2. In the Edit order dialog box (shown above), choose one or more fields, and click either ASC (ascending) or DESC (descending) to add each field to the right pane.

    If you make a mistake, either select the incorrect field and click < to move the selected field back to the left pane of the dialog box, or click << to move all fields back to the left pane.

  3. Click Ok to return to the Edit filter dialog box.

  4. You can either save the filter, or click Ok to use the filter only for the current session.

  5. Verify that the Viewing filter check box is selected (see the figure above).

  6. Click Update in the Outbound Contact Manager window to apply the viewing filter.


Calling Lists > Filters > Viewing Filters

Understanding Complex Viewing Filters

Complex filters contain two or more simple statements joined with AND or OR.

Example (AND)

You need a filter that displays all records for which the call result equals busy and the number of dialing attempts is greater than 3. You use AND, because you want both values to exist in a record before that record displays in the viewing list.

To create this filter you need two simple statements:

  1. Click Add to insert the first statement.

  2. Click And to insert the second.

The Criteria box will look like the following:

 | Field name | Op | Value
 | call_result | = | busy
And | attempt | > | 3

Example (OR)

You need a filter that displays all records for which the record type equals PersonalRescheduled or the record status equals MissedCallBack. You use OR, so that every record that contains one or the other value will be displayed. If you use AND, both values will have to exist in a single record before that record will be selected for viewing.

To create this filter, you need two simple statements:

  1. Click Add to insert the first statement.

  2. Click Or to insert the second.

The Criteria box will look like the following:

 | Field name | Op | Value
 | record_type | = | PersonalRescheduled
Or | record_status | = | MissedCallBack


Calling Lists > Filters > Viewing Filters

Modifying a Filter

To modify a filter:

  1. Open the Calling Lists directory and select a calling list.

  2. Click [image] next to the Viewing Filter field, to display the Edit filter dialog box.

The Edit filter dialog box features two tabs: the Standard mode tab and the Expert mode tab.

To delete a statement from a filter:

  1. In the Criteria box, select a statement to delete.

  2. Click Delete.

To make a simple change—for example, to replace one statement with another:

  1. In the Criteria box select a statement.

  2. Change the statement's values and click Update.

Note: To change an AND statement to an OR statement, you must delete the old statement first, and then add a new one.

To delete all values and begin again:

  1. Click Clear.

  2. Use Creating a Viewing Filter to create a new filter.

Remember to select the Viewing filter check box, and then click Update in the Outbound Contact Manager window in order to apply the viewing filter.


Calling Lists > Filters > Viewing Filters

Saving a Viewing Filter

You can save your viewing filters automatically or manually:

Automatic Save

OCM automatically saves a viewing filter up to 255 characters long when the user leaves the current calling list (Calling List Details View) in OCM. The filter is saved in Configuration Manager, in the "Annex" properties of a Calling List (OCManager\criteria and OCManager\order_by options). When the user re-opens the calling list, OCM automatically retrieves and displays the filter.

Manual Save

To save the filter on the local machine, for future use:

  1. Click Save As.

  2. In the Save filter dialog box:

    • Enter a File name.

    • Select (or (accept) the Filters *.stg from the Save as type drop-down list.

    • Enter a Filter name. If you omit the filter name, you cannot save the filter.

  3. Click Save, and then click OK to return to the calling list.

    The file name of the selected filter displays to the left of the filter's criteria description.

  4. Select the Viewing filter check box (see the figure below).

  5. Click Update in the Genesys Outbound Contact Manager window to apply the viewing filter.


Calling Lists > Filters > Viewing Filters

Selecting a Viewing Filter

To apply an existing viewing filter:

  1. Open the Calling Lists directory and select a calling list.

  2. Click [image].

  3. In the Edit filter dialog box, click Open.

  4. In the Open filter dialog box:

    • Select Open from: Configuration Manager if you wish to select a viewing filter defined in Configuration Manager.

    • Select Open from: file if you wish to select a user-defined viewing filter.

  5. Locate the directory that contains existing viewing filters.

  6. To display a file's viewing filter criteria in the Preview box, select a file.

  7. Select the file with the criteria you need, and then click Open.

  8. In the Edit filter dialog box, verify that the viewing filter criteria meet your needs, and click OK to return to the calling list.

    The file name of the selected filter appears to the left of the filter's criteria description.

  9. Select the Viewing filter check box.

  10. Click Update in the Genesys Outbound Contact Manager window to apply the viewing filter.


Calling Lists > Filters > Viewing Filters

Using the Operators List

The Op (operator) pull-down list in the Edit filter dialog box contains the following operators:

= | equal to
< | less than
> | greater than
!= | not equal to
<= | less than or equal to
>= | greater than or equal to
LIKE | like (see Note, below)

Note: The expression LIKE allows wild cards:

Wild Card Value | Description
_ | Underscore. Represents any single symbol.
% | Represents any multiple symbols.


Campaigns

Campaigns Overview

A campaign is a flexible master plan that organizes calling lists and agent groups (or place groups) for dialing calls and handling call results. Campaigns are created in Configuration Manager or Outbound Contact Wizard. A campaign can be assigned to multiple campaign groups. See additional information in the Outbound Contact 7.6 Deployment Guide.

The following campaign activities can be performed in Outbound Contact Manager (OCM):

  • Loading and Unloading a Campaign

  • Preparing a Calling List for Dialing

  • Changing the Dialing Mode

  • Setting Optimized Parameters

  • Setting Optimization Target Value

  • Prioritizing Record Types for Dialing

  • Starting and Stopping a Campaign

  • Seeing Campaign Name and Campaign ID

  • Monitoring Campaign Status

To prepare for running a campaign:

  1. Populate calling lists with records.

  2. Become familiar with time zones, weights, and treatments.

    • Time Zones: designate the time range in which calls will be made by Outbound Contact Server. Most global time zones are loaded from scripts during installation. If records fall in a time zone that is not included, create a custom time zone in Configuration Manager.

    • Weights: assign the percentage of the campaign's total calls to be dialed from each calling list.

    • Treatments: list settings that tell Outbound Contact Server how to respond to an unsuccessful call type, such as machine answer or no answer. For example, a treatment could be established to tell OCS to dial a number three times at defined intervals, interrupting the attempts if the call result is either a successful connection to the right party or an unsuccessful connection. Multiple treatments applied to the same unsuccessful call type are called sequences.

  3. Set the dialing mode, and an optimized parameter and its target value.


Campaigns

Loading and Unloading A Campaign

A campaign must be loaded before it can be started.

Loading a Campaign

To load a campaign:

  1. Open the Campaigns directory and select a campaign from the list. Verify that the Groups view displays.

    • The Status field displays Not Loaded.

    • The Load button is available.

    • The Start button is unavailable.

  2. Click Load.

    • The Status field changes to Active.

    • The Load button changes to Unload.

    • The Start button becomes available.

  3. Now you can unload or start the campaign.

Unloading a Campaign

To unload a campaign:

  1. Open the Campaigns directory and select a campaign from the list.

    • To unload a campaign, the Status field should display Active. If the Status field displays Running, you must stop the campaign before unloading it.

    • The Unload button should be available.

    • The Start button should be available.

  2. Click Unload.

    • The button temporarily changes to Force Unload (see below).

    • The Status field temporarily changes to Unloading, and then Not Loaded.

    • The Unload button changes to Load.

    • The Start button becomes unavailable.

  3. After a campaign is unloaded, only the load option is available for this campaign.

Force Unloading a Campaign

When the Unload button changes to Force Unload (which takes several seconds), the administrator can force the campaign to unload. For example, use Force Unload when a campaign in OCS remains in the Unloading state for an unreasonable period of time.

Warning! Valuable data for the records can be lost when using this button.

When the Force Unload button is selected, OCS immediately unloads the campaign, marking all the records that still remain in the buffer as Stale.

Note: You cannot run a campaign that is already running or load a campaign that is already loaded. For example, if another user is running another instance of Outbound Contact Manager, and you try to load or start a campaign that is already loaded or running, you will receive a warning message.


Campaigns

Preparing a Calling List for Dialing

Each time you set up a calling list for a campaign, you must reset the values for three fields: record_type, record_status, and call_result. This makes all records available for dialing.

To reset these three fields in all records in the list, use the Modifying All List Records procedure to change the field values, as follows:

  • Change record_type to General.

  • Change record_status to Ready.

  • Change call_result to Unknown Call Result.


Campaigns

Changing the Dialing Mode

Outbound Contact has many dialing modes which are listed in the table below. The default dialing mode is set in Configuration Manager.

You can switch between Progressive and Predictive dialing modes at any time, and change the optimized parameter. Changing the dialing mode and optimized parameter in Outbound Contact Manager (OCM) is temporary. It lasts only until the campaign is stopped or the setting is changed. To change from Predictive or Progressive Dialing mode to Preview Dialing mode, the campaign must be stopped and restarted.

A Preview Only license limits the use of OCS to this one dialing mode. When a user licensed for Preview Only selects a different dialing mode and attempts to start a campaign, OCM displays a message to alert the user. A full license is required in order to run campaigns in all dialing modes.

Note: The campaign needs to be loaded in order to change the dialing mode and optimized parameter.

The dialing mode is used in conjunction with the values in the Optimized parameters and Optimization Target value fields.

Dialing Mode | Description
Predictive | Dials calls from a calling list and predicts agent availability. Recommended for high-volume, low-value campaigns.
Progressive | Dials calls from a calling list only when an agent is available. Recommended for low-volume, high-value campaigns.
Preview | Dials calls from a calling list only when an agent previews a calling list record and manually requests a call to be dialed. Recommended for low-volume, high-value applications, where individual ownership of accounts is the highest priority.
Push Preview | Dials calls that are "pushed" to the agent's desktop using Interaction Server.
Power GVP | Dial calls by issuing call requests through the GVP Outbound Notification Manager.
Predictive with seizing | Used only with the Active Switching Matrix mode. Calls are dialed automatically, similarly to Predictive mode.
Progressive with seizing | Used only with the Active Switching Matrix mode. Calls are dialed automatically, similarly to Progressive mode.

To change the dialing mode:

  1. Verify that the campaign is loaded, or click Load.

  2. Click the Dialing mode drop-down arrow.

  3. Select the appropriate dialing mode.

  4. Change the values for Optimized parameter and Target value, if necessary.

  5. To run the campaign, click Start or, if the campaign is running, change the dialing mode and click Update.


Campaigns

Setting Optimized Parameters

An optimized parameter determines how to run the campaign. It is used only with campaigns running in Predictive dialing mode. There are three values for optimizing parameters: Agent Busy Factor, Overdial Rate, and Average Waiting Time.

Note: The campaign must be loaded in order to set the optimized parameters.

  • Choose Agent Busy Factor when the primary concern is to maximize agent resources by maintaining a high busy rate. As the agent busy factor increases, the number of abandoned calls rises.

    It is important to note that Outbound Contact uses a group-pacing algorithm. Pacing is automatically adjusted when there are calls in queue, and works best when agents in the group have similar skill levels. Set this value as a percentage.

  • Choose Overdial Rate to limit the number of abandoned calls. Reduce the number to minimize the number of abandoned calls. Set this value as a percentage.

  • Choose Average Waiting Time when you want to base the dialing rate on the current average waiting time, which optimizes the wait time between calls. This parameter is for contact center managers who need to increase the Agent Busy Factor. Set this value in seconds.


Campaigns

Setting Optimization Target Value

Use the Target value slide bar or text box to set the optimization target value as a percentage or in seconds.

Note: The campaign needs to be loaded in order to set the optimization target value.

There are two ways to set the value:

  • Move the slider to the right to increase the value, and to the left to decrease the value.

  • Enter a number representing the value into the Target value text box.


Campaigns

Prioritizing Record Types for Dialing

A user can assign an order of priority to specific record types for dialing purposes. Four configuration options enable record prioritization:

  • record_priority

  • default_general_priority

  • default_campaignrescheduled_priority

  • default_campaigncallback_priority

You can define these options in Configuration Manager > Applications > OCM Application > Options > OCManager section. For more information about these options, see the Outbound Contact 7.6 Deployment Guide.

See also:

Groups and Campaign Fields


Campaigns

Starting and Stopping a Campaign

You cannot start a campaign until it has been loaded.

Starting a Campaign

To start a campaign:

  1. Open the Campaigns directory and select a campaign from the list. The Status field should display Not Loaded.

  2. Load the campaign that you want to start.

    • The Unload button is available.

    • The Start button is available.

  3. Click Start.

    • The Status field changes to Running.

    • The Unload button becomes unavailable.

    • The Start button changes to Stop.

  4. After starting, stopping is the only option available for this campaign.

Stopping a Campaign

When a campaign is stopped, OCS stops dialing, and records that are waiting to be dialed remain in the buffer.

A campaign must be stopped before it is unloaded.

To stop a campaign:

  1. Open the Campaigns directory and select a campaign from the list.

    • The Status field displays Running.

    • The Unload button is unavailable.

    • The Stop button is available.

  2. Click Stop.

    • The Status field changes to Active.

    • The Unload button becomes available.

    • The Start button becomes available.

  3. After a campaign has been stopped, you can restart or unload the campaign.

  4. If the campaign does not stop after the value specified in the force_unload_timeout option expires, the Force Unload button is enabled.


Campaign Sequence

Campaigns > Campaign Sequence

Campaign Sequence Overview

Outbound Contact includes a campaign sequence, which enables you to assign several campaigns to run in a sequence, and which provides automatic assignments of agents between the campaigns. In a campaign sequence, you can also set predefined thresholds for campaigns and set the Dialing mode, the Optimization method, and Target value. A campaign sequence is found within an Agent Group or a Place Group in OCM.

After you have created and loaded a campaign sequence, you can change the Optimization method, Dialing mode, and Target value for any campaign in the sequence. These changes are dynamically updated in OCS, after you click the Update button.

A campaign sequence is created with one or more campaigns that are associated with the selected Agent Group or Place Group.

After at least one campaign is added, and a start time is set for the sequence, select a campaign and click Edit (see the figure above), or double-click to access the Sequence Item dialog box. From the Sequence Item dialog box, you can set thresholds for each campaign in the sequence. The campaign sequence begins after the campaign settings are saved, and after you load and start the sequence.

Minimum Settings

The minimum settings for each campaign within a campaign sequence must include the following:

  • Dialing mode

  • Optimization method

  • Target value

You can also modify these fields in an active campaign sequence.

Rules for Sequences

The following rules apply to sequences:

  1. An Agent Group or a Place Group can have only one campaign sequence associated with it.

  2. OCS does not allow you to load any campaigns that are part of an active sequence. If you attempt to load in OCM a campaign that is associated with an active sequence, without loading the associated sequence, you will receive an error message.

    To remove a campaign from a sequence, the campaign sequence should not be loaded. In OCM, double-click the Campaign Sequence to open the Sequence dialog box, select the campaign that you want to remove, and click the Delete button to remove it from the campaign sequence. The process of removing a campaign from a sequence does not affect the campaign; it just means that the campaign is no longer attached to the sequence.

  3. You cannot add or remove a campaign if a campaign sequence is active.


Campaigns > Campaign Sequence

Creating a Sequence

A campaign sequence is created with one or more campaigns that are associated with a selected Agent Group or Place Group.

  1. To create a campaign sequence, double-click the Campaign Sequence in an Agent Group or Place Group to open the Sequence dialog box.

  2. In the Description field, enter a name for your campaign sequence that briefly describes the purpose of the sequence.

  3. Specify the start time of the sequence. In the Start time field, click the digits representing the date and time, to adjust the numbers manually; or, use the arrow buttons to the right of the field to adjust the numbers in the field up or down.

  4. Click the Add button to open the Sequence Item dialog box, and then click the Browse button to select from the list of campaigns associated with the selected Agent Group or Place Group. Select the campaign that you want to add to the sequence, and click OK.

  5. Repeat Step 4 to add other campaigns to the sequence. Then click OK to save the sequence and close the Sequence dialog box.

The Campaign Sequence pane displays all of the campaigns that you selected for your campaign sequence.

The order of the campaigns on the Campaign Sequence pane is the order in which the campaigns will run. To change the order of the campaigns, select a campaign and use the arrow keys to the right, to move the campaign up or down. Use the Delete button to remove a campaign from the sequence.

To select settings for a campaign, click the campaign, and then click the Edit button or double-click the campaign. The Sequence Item dialog box appears, from which you can specify the thresholds for each campaign in the sequence.


Campaigns > Campaign Sequence

Setting Thresholds

For each campaign in a sequence, you can set thresholds that indicate when you want a campaign to stop (begin unloading). The thresholds for each campaign are set individually. A campaign can be stopped using one of these three fields:

  • Stop at contacts: stops a campaign after a predefined number of contacts is reached. A contact represents a call with the call result Answer.

  • Stop at dials: stops a campaign after a predefined number of dialed calls is reached.

  • Stop at time: stops a campaign at a set time.

When you create or modify your campaign sequence, these three fields are available through the Sequence Item dialog box. If a campaign sequence is active, these fields are not available and cannot be edited.

These three fields can be left empty or they can contain the value 0, which means that OCS will run each campaign in the defined order, until all records are updated.

It is possible to save all three threshold fields values greater than zero simultaneously in the campaign sequence. The campaign will be stopped when any of the three thresholds are met.

The following minimum settings (described in the table below) are necessary in order for each campaign in a sequence to run effectively: Dialing mode, Optimization method, and Target value.

To apply the campaign to the sequence and save the settings, click OK. This returns you to the Sequence dialog box, in which you can save the campaign sequence. Then, load and start the sequence.

The fields in the Sequence Item dialog box are as follows:

Field

Description

Campaign

Specifies the name of each campaign included in the Campaign Sequence Item. Click the Browse button to the right of the field, to select the campaigns that you want to add to the campaign sequence.

Stop at contacts

Specifies the total number of successful contacts that should be reached before the campaign unloads. A successful contact represents a call with the call result Answer.

Stop at dials

Specifies the total number of dialed records that should be reached before unloading the campaign. Dials represent any call result (for example, a Busy call result or an Answering Machine result is considered a dialed call).

Stop at time

Adjusts the time and date to the time when you want to unload the campaign. Right-click to display the current date and time, and adjust the numbers manually or use the arrow keys to the right of the field.

Sleep before start (min)

Specifies the time, in minutes, between campaigns—that is, when one campaign unloads and the next loads. For example, enter 60 into this field if you want a 60-minute pause between the time when one campaign unloads and the next loads. Enter the number 0 if you want one campaign to load immediately after the other campaign unloads.

Dialing mode

Sets the Dialing mode for the campaign. The values are as follows:

  • Predictive, Progressive, Preview, Push Preview, Power GVP (in transfer dialing mode)

  • Preview, Push Preview, Power GVP, Progressive with seizing, Predictive with seizing (in ASM dialing mode)

For more information about dialing modes, see the Outbound Contact 7.6 Reference Manual.

Optimization method

Sets the Optimization method for a campaign. The values for this option include: Agent Busy Factor, Average Waiting Time, and Overdial Rate. For a description of these values, see the Outbound Contact 7.6 Reference Manual.

Target value

Use the Target value slider to select the Target value of the Optimization method that you select. The numeric value that you select appears in the text box to the right of the slider.


Campaigns > Campaign Sequence

Loading a Sequence

After you have created a campaign sequence and set the thresholds for each campaign, you can load the sequence. The saved sequence is stored on the Annex tab of the Place Group object or Agent Group object in Configuration Database, but a sequence can be modified only in OCM.

To load a campaign sequence, select the campaign sequence and click the Load button in OCM.

The Start button is now available. Click Start to start the campaign sequence.


Campaigns > Campaign Sequence

Modifying a Sequence

Changes can be made to an active campaign (loaded, running, or stopped) and are dynamically updated. In an active campaign sequence, you can modify only the Dialing mode, Optimization parameters, and Target value for the sequence.

You cannot add or remove a campaign from a sequence when a campaign sequence is active.

To change the Dialing mode, Optimization parameters, and Target value in an active campaign sequence, double-click the active Campaign Sequence to access the active Sequence dialog box.

From the Sequence dialog box, you can adjust the Dialing mode, Optimized parameter, and Target value in exactly same way in which you made changes in the Sequence Item dialog box. After you adjust these features, click the Update button to immediately update your changes in the selected campaign. OCS notifies all of the connected Outbound Contact Managers about any changes.

You can view the status of a campaign sequence in the Status field in OCM.

Adjusting the Dialing Mode and Target Value

You can adjust the Dialing mode at any time, for any campaign within a sequence. When you create a sequence for the first time, you adjust the Dialing mode, Target value, and Optimization method from the Sequence Item dialog box. If you are working with an active sequence, these options are available in the Sequence dialog box when you double-click the campaign sequence.

Use the drop-down list to select a Dialing mode and Optimization method.

To change the Target value, you can either use the slider bar until the target value appears in the box to the right of the slider, or you can enter the value for the target value directly into the box. Click OK to apply the changes.


Campaigns

Monitoring Campaign Status

There are three ways to monitor campaigns:

  • Checking the campaign status in Outbound Contact Manager (OCM)

  • Using Reporting options for Outbound (CC Pulse and CC Analyzer)

  • Using Record History Logging

Campaign Status Field in Outbound Contact Manager

The status field at the bottom of the right panel can contain these values:

Campaign Status | Description
Active | The campaign is active and loaded into memory. A campaign must be loaded before it can be started.
Not Loaded | The campaign has not been loaded.
Running | The campaign has been loaded and started.
Unloading | The campaign is in the process of unloading. Temporarily displays after you click the Unload or Force Unload button.

Reporting Options for Outbound

Outbound reporting makes it possible to monitor Outbound campaigns in real time, and also to generate historical reports. To monitor campaign progress and agent availability, CC Pulse real-time reporting creates specific views of statistics, agents, calling lists, and campaigns. CC Analyzer produces reports for tracking historical data about contacts, agents, and campaigns.

For more information, see the Reporting Technical Reference Guide for the Genesys 7.2 Release. (This version of the document also applies to this 7.6 release.)

Record History Logging

Record History Logging provides you with additional reporting options for Outbound Contact campaign calling lists. The logging information is written to flat (plain text) files instead of database access files. Flat files enable you to turn logging on or off for different calling lists.

Two new options must be configured in order to use Record History Logging: dial_log_destination and dial_log_delimiter. Record History Logs include tracking information about Genesys mandatory fields, user-defined fields, and the event data for records.

For more information about Record History Logging, see the Outbound Contact 7.6 Reference Manual.

Treatments History Field

Outbound Contact Manager 7.6 processes the treatments history field in the following way:

  • If Outbound Contact Manager creates a new record, the field treatments will be populated with the value NULL.

  • If Outbound Contact Manager updates the chain/record status as Ready, and the type of record is CampaignRescheduled, PersonalRescheduled, CampaignCallback, or Personal Callback, the value for the treatments fields remains the same.


Campaigns

Error Codes

The following Outbound Contact Server error codes display on the desktop as code numbers with corresponding text descriptions. For additional information about error codes, see Genesys 7.6 Combined Log Events Help.

Error Code | Error Description
0 | No error
1 | Configuration not fully retrieved
2 | Unable to register client
3 | Campaign not found
4 | Campaign not loaded
5 | Campaign already loaded
6 | Campaign not started
7 | Campaign started already
8 | Group not found
9 | Campaign Group not found
10 | Invalid parameter
11 | Invalid campaign mode
12 | Invalid Campaign Sequence
13 | Campaign Sequence Not Found
14 | Invalid Campaign Sequence Mode
15 | License Violation
16 | Invalid Campaign Group Configuration
17 | Campaign group is part of active/running campaign sequence


Campaigns

Time Zones

When OCM imports or exports a calling list, it recognizes the international three-letter abbreviation that identifies a time zone. When exporting a calling list, the tz_dbid number can also be used for the time zone. The standard three-letter time zone abbreviations are listed below.

In OCM, you can also enter the three-letter time zone abbreviation directly into a calling list.

Note: In Outbound Contact, time changes from summer to winter and winter to summer are dynamically updated in a running or loaded campaign.

Three-Letter Time Zone Abbreviation | Description
ACT | Australia Central Time
AET | Australia Eastern Time
AGT | Argentina Standard Time
AtlST | Atlantic Standard Time
ART | (Arabic) Egypt Standard Time
AST | Alaska Standard Time
BET | Brazil Eastern Time
BST | Bangladesh Standard Time
CAT | Central Africa Time
CNT | Canada Newfoundland Time
CST | Central Standard Time
CTT | China Taiwan Time
EAT | Eastern Africa Time
ECT | European Central Time
EET | Eastern European Time
EST | Eastern Standard Time
GMT | Greenwich Mean Time
HST | Hawaii Standard Time
IET | Indiana Eastern Standard
IST | India Standard Time
JST | Japan Standard Time
KST | Korea Standard Time
MET | Middle East Time
MIT | Midway Islands Time
MST | Mountain Standard Time
NET | Near East Time
NST | New Zealand Standard Time
PLT | Pakistan Lahore Time
PNT | Phoenix Standard Time
PRT | Puerto Rico and US Virgin Islands Time
PST | Pacific Standard Time
SST | Solomon Standard Time
VST | Vietnam Standard Time


Campaigns

Understanding Weights

A campaign can have multiple calling lists. Weights are used for calculations when a campaign has more than one list.

Each list can be assigned a weight. The lowest value for a weight is 0, which should be used only if you want to deactivate a list. In a campaign with multiple calling lists, the weight given to a list represents the ratio of records that will be retrieved from a calling list for a campaign.

For example, imagine that a campaign consists of three lists and that each list is assigned a weight: List A is given a weight of 10, List B a weight of 20, List C a weight of 30. A fraction is created for each list, with the weight of the list as the numerator and the sum of all weights as the denominator. The number of records that will be retrieved from a list is calculated by multiplying the fraction (as described above) by the total number of records that will be retrieved from the calling lists to OCS's buffer. This example is illustrated below:

Description | List A | List B | List C | Totals
Total number of records that will be retrieved from the calling lists to OCS's buffer (multiply the number of logged-in agents by the maximum buffer size) |  |  |  | 10 agents x 6 (6 is the default maximum buffer size) = 60
Weights assigned and the sum of all weights | 10 | 20 | 30 | sum = 60
Percentage (based on the fraction of list weight over the sum of all weights) | (10/60) = 1/6 | (20/60) = 1/3 | (30/60) = 1/2 |
Total number of the records that will be retrieved, multiplied by the percentage (based on the fraction of list weight over the sum of all weights) | 1/6 X 60 = 10 | 1/3 x 60 = 20 | 1/2 x 60 = 30 |
Result (the number of records that will be retrieved from the calling lists to OCS's buffer for each list) | 10 | 20 | 30 | 60

Flexible List Weights

The weights that you assign to a calling list are all flexible list weights. Flexible refers to the process in which OCS assigns a zero value to an empty calling list and adjusts the value(s) of the remaining calling lists.

During the campaign, OCS continues requesting records from the empty list, which allows the user to add records to a calling list during a campaign. If additional records are added to a previously empty calling list, the calling list returns to its previously assigned weight until all records are processed, at which time OCS assigns a zero value to the calling list. Flexible list weights keep campaigns from slowing down, by maintaining consistency in record processing.

Note: If a calling list with a relatively low weight has a better success rate, it may run out of records faster than another calling list with a higher weight but a lower success rate.


overview_using_ocm

Using OCM

Using OCM Overview

This section contains other information about using Outbound Contact Manager. It contains the following topics:

  • Reconnection to Servers

  • Ina ctivity Timeout

  • Security Banner


auto_reconnect

Using OCM

Automatic Reconnection to Servers

Outbound Contact Manager (OCM) is now able to reconnect automatically to backup servers when the connection to the primary server is lost. OCM can reconnect to the following Genesys servers:

  • DB Server

  • Configuration Server

  • Outbound Contact Server

Reconnection Configuration

If Outbound Contact Manager loses its connection to any server, it reads the value of the AutoReconnect option. This option determines if OCM performs an automatic reconnect procedure to a given server. There are two values:

  • If the value of the option is true, OCM does not display the reconnection dialog and immediately attempts the backup connection.

  • If this option is set to false or it is not present, OCM displays a message box that provides you with the following choices:

    • Connect to backup (if available)

    • Reconnect to primary

    • Cancel

You can configure this option in the Annex tab of the OCM Application object. The Options tab cannot be used to configure this option. The Section name can contain the following values:

  • DBServer for DB Server connections

  • Config for all Configuration Server connections

  • OCServer for OCS connections

Reconnection Procedures

When a user logs in to OCM, the GUI attempts to connect to the specified Configuration Server. There are two possible outcomes:

  • If this attempt is successful, OCM reads the backup Configuration Server connection parameters into memory and stores it in the Windows registry, and then proceeds normally.

  • If this attempt is not successful, OCM attempts to read the backup Configuration Server connection parameters from the Windows registry. There are two possible outcomes:

    • If OCM is able to read these parameters, it will attempt to connect to the backup Configuration Server.

    • If OCM is unable to connect to the backup Configuration Server or if the connection parameters for backup Configuration Server are not in the Windows registry, OCM displays an Unable to connect to the server error message.


Using OCM

Inactivity Timeout

If no keyboard, mouse, or any other activity is detected after a specified timeout, Outbound Contact Manager (OCM) locks the application and requires that you log in again.

When the Login dialog box appears, if you click Cancel, a warning message appears asking you to confirm that you want to close the application. If you click Yes, the application exits. If you click No, you are returned to the Login dialog box.

Note: The inactivity-timeout option, configured on the OCM application Options tab in the security section, specifies the value in minutes for this timeout. See the Outbound Contact 7.6 Deployment Guide for information. The default timeout value is 0, which means the timeout is disabled.


Using OCM

Security Banner

If your enterprise has implemented the security banner feature, when you launch OCM but before the Login dialog box appears, a security banner may display. If the banner displays, you will be required to acknowledge that you have appropriate authorization before you can log into OCM.

When the banner page appears, you have two buttons and optionally a check box.

  • Accept: If you click Accept, the Login dialog box displays and you log in as usual.

  • Reject: If you click Reject, OCM exits.

  • "I accept. Do not show this again." check box: If you select this check box, you will not see the security banner again the next time you launch OCM.